#include <string.h>

#include <iostream>

#include "timer.hpp"

#include <GL/gl.h> 
#include <GL/oscontext.h> 
#include "ui.h"

int frames=0;

void tkSwapBuffers(void)
{
  frames++;
}

// gears 800x600x16bits
//    athlon64 3000
//       original: 114 fps
//       only ambient lighting: 121 fps
//    XO-B2
//       original: 26 fps
//       only ambient lighting: 27 fps

// mech 800x600x16bits
//    athlon64 3000
//       original: 18 fps
//       only ambient lighting: 21 fps
//    XO-B2
//       original: 1.137 fps
//       only ambient lighting: 1.36 fps

int ui_loop(int argc, char **argv, const char *name)
{
   int i;
   void *fbuff=(void*)malloc(800*600*2);
   ostgl_context *cx = ostgl_create_context(800, 600, 16, &fbuff, 1);
   init();
   reshape(800, 600);
   double ti=dxp::sys::appTimer;
   for (i=0; i<1000; i++)
      idle();
   double tf=dxp::sys::appTimer;
   std::cout << tf << " - " << ti << ".\n";
   std::cout << 1000/(tf-ti) << " fps.\n";
   ostgl_delete_context(cx);
   return 0;
}


